VisualEditor: Disable drag-and-drop of non-media content in Firefox until we support that
Closed, ResolvedPublic

Description

What it says on the tin; if you do nothing but rearrange text, the VE does not recognise it as an alteration and refuses to let you save.


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=49981
https://bugzilla.wikimedia.org/show_bug.cgi?id=50721

Ironholds created this task.Via LegacyJul 3 2013, 7:30 AM
bzimport added a comment.Via ConduitJul 11 2013, 10:22 PM

JohnCD67 wrote:

This only happens with drag-and-drop. VE will let you save a text rearrangement done with Ctrl-X, Ctrl-V, or Right-click/Cut, Right-click/Paste.

Jdforrester-WMF added a comment.Via ConduitJul 11 2013, 10:28 PM

Bug 49981 is about actually supporting this; until we do, we should disable it appearing to try to work in Firefox, only to not do so (because it's disabled).

Aklapper added a comment.Via ConduitAug 6 2013, 6:56 AM
  • Bug 50721 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitAug 30 2013, 3:03 AM
  • Bug 50977 has been marked as a duplicate of this bug. ***
Qgil added a comment.Via ConduitSep 29 2013, 4:17 AM

fwiw I'm using Firefox and... it seems to work? The first post is not very descriptive so I don't know what to test. Happy to help.

jayvdb added a comment.Via ConduitSep 29 2013, 6:48 AM

The drag-and-drop operation previously had the appearance of being successful, in that the text would change to the dropped position. After the text was moved, the save button wasnt enabled.

Now the text can only be picked up and dragged around, but the text move operation is cancelled when the text is dropped.

The bug has been fixed, and I am closing as such. Probably as part of another piece of related work.

For bonus points, VE shouldnt allow the text to be picked up and dragged. I've opened that as an enhancement bug 54757.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.